<?php


if(!empty($editdata))
{
  
      $icredit_id = $editdata['icredit_id']; 
        $enabled = $editdata['enabled'];
        $PaymentMethodDescription = $editdata['PaymentMethodDescription'];
        $title = $editdata['title'];
        $testmode = $editdata['testmode'];
        $testtoken = $editdata['testtoken'];
        $grouptoken = $editdata['grouptoken'];
        $maxpayment = $editdata['maxpayment'];
        $creditpayment = $editdata['creditpayment'];
        $windowtype = $editdata['windowtype'];
        $height = $editdata['height'];
        $width = $editdata['width'];
        $hideitemlist = $editdata['hideitemlist'];
        $createtoken = $editdata['createtoken'];
        $invoicelang = $editdata['invoicelang'];
        $exemptvat = $editdata['exemptvat'];
        $redirecturl1 = $editdata['redirecturl'];
        $ipn = $editdata['ipn'];
        $sortorder = $editdata['sortorder'];
}
else
{
  
      $icredit_id = "";
        $enabled = '';
        $PaymentMethodDescription = '';
        $title = '';
        $testmode = '';
        $testtoken = '';
        $grouptoken = '';
        $maxpayment ='';
        $creditpayment = '';
        $windowtype = '';
        $height = '';
        $width = '';
        $hideitemlist = '';
        $createtoken = '';
        $invoicelang = '';
        $exemptvat = '';
        $redirecturl1 = '';
        $ipn = '';
        $sortorder = '';
}
?>
<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">

  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
       <button type="submit" form="form-icredit" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
     <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>

  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
 <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
      
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-icredit" class="form-horizontal">
      
        <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_enabled; ?></label>
            <div class="col-sm-10">
              <input type="radio" <?php if($enabled == 1) { echo "checked";}?> name="icredit_status" value="1" id="input-enabled" class="form-control" /> <input type="radio" <?php if($enabled == 0) { echo "checked";}?> name="icredit_status" value="0" id="input-name" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>

           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_paymentdescription; ?></label>
            <div class="col-sm-10">
              <textarea name="PaymentMethodDescription" id="input-PaymentMethodDescription" class="form-control" /><?php echo $PaymentMethodDescription; ?></textarea>
              <?php if ($description) { ?>
              <div class="text-danger"><?php echo $description; ?></div>
              <?php } ?>
            </div>
          </div>


            <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_title; ?></label>
            <div class="col-sm-10">
             <input type="text" name="title" value="<?php echo $title; ?>" placeholder="<?php echo $text_title; ?>" id="input-title" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_testmode; ?></label>
            <div class="col-sm-10">
              <input type="radio" name="testmode" <?php if($testmode == 1) { echo "checked";}?> value="1" id="input-testmode" class="form-control" /><?php echo $text_yes; ?><input <?php if($testmode == 0) { echo "checked";}?>  type="radio" name="testmode" value="0" id="input-testmode" class="form-control" /><?php echo $text_no; ?>
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_testgrouptoken; ?></label>
            <div class="col-sm-10">
              <input type="text" name="testtoken" value="<?php echo $testtoken; ?>" placeholder="<?php echo $text_testgrouptoken; ?>" id="input-testtoken" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_prodgrouptoken; ?></label>
            <div class="col-sm-10">
              <input type="text" name="grouptoken" value="<?php echo $grouptoken; ?>" placeholder="<?php echo $text_prodgrouptoken; ?>" id="input-grouptoken" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_maxpayment; ?></label>
            <div class="col-sm-10">
              <input type="text" name="maxpayment" value="<?php echo $maxpayment; ?>" placeholder="<?php echo $text_maxpayment; ?>" id="input-maxpayment" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_creditpayment; ?></label>
            <div class="col-sm-10">
              <input type="text" name="creditpayment" value="<?php echo $creditpayment; ?>" placeholder="<?php echo $text_creditpayment; ?>" id="input-creditpayment" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>



           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $text_windowselecttype; ?></label>
            <div class="col-sm-10">
              <select name="windowtype" id="input-windowtype" class="form-control">
                <option <?php if($windowtype == "redirect") { echo "selected=selected";}?> value="redirect"><?php echo $text_optionredirect; ?></option>
                <option <?php if($windowtype == "popup") { echo "selected=selected";}?> value="popup"><?php echo $text_optionpopup; ?></option>
                <option <?php if($windowtype == "iframe") { echo "selected=selected";}?>  value="iframe"><?php echo $text_optioniframe; ?></option>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_height; ?></label>
            <div class="col-sm-10">
              <input type="text" name="height" value="<?php echo $height; ?>" placeholder="<?php echo $text_height; ?>" id="input-height" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_width; ?></label>
            <div class="col-sm-10">
              <input type="text" name="width" value="<?php echo $width; ?>" placeholder="<?php echo $text_width; ?>" id="input-width" class="form-control" />
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_hideitemlist; ?></label>
            <div class="col-sm-10">
              <input type="radio" name="hideitemlist" <?php if($hideitemlist == 1) { echo "checked";}?> value="1" id="input-hideitemlist" class="form-control" /> <?php echo $text_yes; ?><input type="radio" name="hideitemlist" <?php if($hideitemlist == 0) { echo "checked";}?> value="0" id="input-hideitemlist" class="form-control" /><?php echo $text_no; ?>
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_createtoken; ?></label>
            <div class="col-sm-10">
              <input type="radio" name="createtoken" value="1" <?php if($createtoken == 1) { echo "checked";}?> id="input-createtoken" class="form-control" />  <?php echo $text_yes; ?><input <?php if($createtoken == 0) { echo "checked";}?> type="radio" name="createtoken" value="0" id="input-createtoken" class="form-control" /><?php echo $text_no; ?>
              <?php //if ($error_name) { ?>
              <div class=""><?php //echo $error_name; ?></div>
              <?php //} ?>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $text_invoicelang; ?></label>
            <div class="col-sm-10">
              <select name="invoicelang" id="input-invoicelang" class="form-control">
                <option <?php if($invoicelang == "english") { echo "selected=selected";}?> value="english" selected="selected"><?php echo $text_english; ?></option>
                <option <?php if($invoicelang == "hebrew") { echo "selected=selected";}?> value="hebrew"><?php echo $text_hebrew; ?></option>     
                <option <?php if($invoicelang == "billing") { echo "selected=selected";}?> value="billing"><?php echo $text_billing; ?></option>
                <option <?php if($invoicelang == "shipping") { echo "selected=selected";}?> value="shipping"><?php echo $text_shipping; ?></option>
                <option <?php if($invoicelang == "billingorshipping") { echo "selected=selected";}?> value="billingorshipping"><?php echo $text_billingshipping;?></option>              
              </select>
            </div>
          </div>


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $text_exemptvat; ?></label>
            <div class="col-sm-10">
              <select name="exemptvat" id="input-exemptvat" class="form-control">
            <option <?php if($exemptvat == "chargevat") { echo "selected=selected";}?> value="chargevat"><?php echo $text_chargevat;?></option>
      <option <?php if($exemptvat == "exempt") { echo "selected=selected";}?> value="exempt"><?php echo $text_exempt;?></option>
      <option <?php if($exemptvat == "billing") { echo "selected=selected";}?> value="billing"><?php echo $text_billing; ?></option>
            <option <?php if($exemptvat == "shipping") { echo "selected=selected";}?> value="shipping"><?php echo $text_shipping; ?></option>
            <option <?php if($exemptvat == "billingorshipping") { echo "selected=selected";}?> value="billingorshipping"><?php echo $text_billingshipping;?></option> 
              </select>
            </div>
          </div>



    <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_redirecturl; ?></label>
            <div class="col-sm-10">
              <input type="text" name="redirecturl" value="<?php echo $redirecturl1; ?>" placeholder="<?php echo $text_redirecturl; ?>" id="input-redirecturl" class="form-control" />
              <?php //if ($redirecturl) { ?>
              <div class=""><?php //echo $redirecturl; ?></div>
              <?php //} ?>
            </div>
          </div>  


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_ipn; ?></label>
            <div class="col-sm-10">
              <input type="text" name="ipn" value="<?php echo $ipn; ?>" placeholder="<?php echo $text_ipn; ?>" id="input-ipn" class="form-control" />             
          </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><?php echo $entry_order_status; ?></label>
            <div class="col-sm-10">
              <select name="icredit_complete_order_status_id" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $icredit_complete_order_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>


           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><?php echo $pending_order_status; ?></label>
            <div class="col-sm-10">
              <select name="icredit_pending_order_status_id" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $icredit_pending_order_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><?php echo $processing_order_status; ?></label>
            <div class="col-sm-10">
              <select name="icredit_processing_order_status_id" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $icredit_processing_order_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>



           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name"><?php echo $text_sortorder; ?></label>
            <div class="col-sm-10">
              <input type="text" name="icredit_sort_order" value="<?php echo $sortorder; ?>" placeholder="<?php echo $text_sortorder; ?>" id="input-sortorder" class="form-control" />
              <?php //if ($redirecturl) { ?>
              <div class=""><?php //echo $redirecturl; ?></div>
              <?php //} ?>
            </div>
          </div>
          <input type="hidden" name="icredit_id" value="<?php echo $icredit_id; ?>" class="form-control" />

 </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>