<?php
error_reporting(0);
class ControllerExtensionPaymentIcredit extends Controller {
	public function index() {

		$data['button_confirm'] = $this->language->get('button_confirm');

		//$data['continue'] = $this->url->link('payment/success');
		$data['continue'] = $this->url->link('extension/payment/icredit/thankyou');

          
               
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'payment/icredit.tpl')) {

                    
			return $this->load->view($this->config->get('config_template') . 'payment/icredit.tpl', $data);
		} else {


                    return $this->load->view('extension/payment/icredit.tpl', $data);
		}

	}


	public function getData()
	{


           
		$this->load->model('extension/payment/icredit');

		$admin_settings = $this->model_extension_payment_icredit->geticreditsettings();

		$testmode = @$admin_settings[0]['testmode'];

		$data = array();
 				if($testmode == 1)
 				{
 					$data = array(
 					$url = 'https://testicredit.rivhit.co.il/API/PaymentPageRequest.svc/GetUrl',
 					$token = @$admin_settings[0]['testtoken'],
 					$verifyUrl = 'https://testicredit.rivhit.co.il/API/PaymentPageRequest.svc/Verify',
 					);
 				}
 				else
 				{
 					$data = array(
 					$url = 'https://icredit.rivhit.co.il/API/PaymentPageRequest.svc/GetUrl',
 					$token = @$admin_settings[0]['grouptoken'],
 					$verifyUrl = 'https://icredit.rivhit.co.il/API/PaymentPageRequest.svc/Verify',
 					);
 				}

 				return $data;
	

                                }

	public function confirm() {
            



		if ($this->session->data['payment_method']['code'] == 'icredit') 
		{

			$this->load->model('checkout/order');
			$this->load->model('extension/payment/icredit');
			$this->load->model('catalog/product');

                      
                      
			$admin_settings = $this->model_extension_payment_icredit->geticreditsettings();   //$this->session->data

			if(isset($admin_settings))
			{




 				$data = $this->getData();   // array returning payment url and grouptoken.
 				if(isset($data))
 				{
	 				$url = $data[0];
	 				$token = $data[1];
	 			}


 			$billing_address_isocode =  $this->session->data['payment_address']['iso_code_2'];	
 			if(isset($this->session->data['shipping_address']))
 			{
 				$shipping_address_isocode =  $this->session->data['shipping_address']['iso_code_2'];	
 			}
 			else
 			{
 				if(isset($this->session->data['shipping_addess']))	
	 			{
	 				$shipping_address_isocode =  $this->session->data['shipping_addess']['iso_code_2'];
	 			}
	 			else
	 			{
	 				$shipping_address_isocode = $billing_address_isocode;
	 			}
 			}

 				// Invoice language
 			$invoiceLanguageVal = '';
 			$invoiceLanguage = @$admin_settings[0]['invoicelang'];
 				switch ($invoiceLanguage){
		      case "hebrew":
		        $invoiceLanguageVal="he";
		        break;
		      case "english":
		        $invoiceLanguageVal="en";
		        break;
		      case "billing":
		        if($billing_address_isocode=='IL'){
		          $invoiceLanguageVal="he";
		        }else{$invoiceLanguageVal="en";}
		        break;
		      case "shipping":
		        if($shipping_address_isocode=='IL'){
		          $invoiceLanguageVal="he";
		        }else{$invoiceLanguageVal="en";}
		        break;
		      case "billingorshipping":
		      if($shipping_address_isocode=='IL'OR $billing_address_isocode=='IL'){
		        $invoiceLanguageVal="he";
		      }else{$invoiceLanguageVal="en";}
		      break;
		      default:
		        $invoiceLanguageVal="en";
		      }


		      $exemptVat = @$admin_settings[0]['exemptvat'];
			 $exemptVatVal ='';    
			   //get Exempt Vat value//
			   switch ($exemptVat){
			      case "chargevat":
			        $exemptVatVal=false;
			        break;
			      case "exempt":
			         $exemptVatVal=true;
			        break;
			        case "billing":
		        if($billing_address_isocode=='IL'){
		          $exemptVatVal=false;
		        }else{$exemptVatVal=true;}
		        break;
		      case "shipping":
		        if($shipping_address_isocode=='IL'){
		          $exemptVatVal=false;
		        }else{$exemptVatVal=true;}
		        break;
		      case "billingorshipping":
		      if($shipping_address_isocode=='IL'OR $billing_address_isocode=='IL'){
		        $exemptVatVal=false;
		      }else{$exemptVatVal=true;}
		      break;
		      default:
		        $exemptVatVal=true;
		      } 

 			
			$products_total = 0;

                            $order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);
                            $total = $order_info['total'];
 
                        

 				//get items
 				foreach ($this->cart->getProducts() as $key => $product)
 				 {	

	 				$product_info = $this->model_catalog_product->getProduct($product['product_id']);
					$sku = $product_info['sku'];
					//echo round($product['price'],2);$product['price'],
					
					$items[]=array(
				    	  'Id'=>0,
				    	  'CatalogNumber' => $sku,
				          'UnitPrice' => $product['price'],
				          'Quantity' => $product['quantity'],
				          'Description' => $product['name']
		    	 	);

		    	 	$products_total = $products_total + ($product['price'] * $product['quantity']) ;
                              

                                
				}

				if(isset($this->session->data['shipping_method']['cost']))
				{
                                    
                                    $title = $this->session->data['shipping_method']['title'];
                                    $cost = $this->session->data['shipping_method']['cost'];
                                        
                                    $items[]=array(
                                      'Id'=>0,
                                      'CatalogNumber' => '0',
                                      'UnitPrice' => $cost,
                                      'Quantity' => 1,
                                      'Description' => $title
                                    ); 

                                    $products_total = $products_total + $cost;
				}
                                
                                $taxs = $this->cart->getTaxes($total);
                                $tax = 0;
                               
                                foreach($taxs as $taxses => $val)
                                {
                                    $tax +=$val;
                                    
                                }
                                
                                if ($tax <> 0)  {
                                    $items[]=array(
				          'UnitPrice' => $tax,
				          'Quantity' => 1,
				          'Description' => 'Tax'
		    	 	);
                                    $products_total = $products_total + $tax;
                                }
                                
                                
                                if(($products_total - $total)>0)
                                {
                                    $discount = $products_total - $total;
                                }else{
                                    $discount = 0;
                                }
                       
                                
 				if (isset($this->session->data['guest'])) 
 				{
				    $customer_email = $this->session->data['guest']['email'];
				} else {
				    $customer_email = $this->customer->getEmail();
				} 

				if (isset($this->session->data['guest'])) 
 				{
				    $phone = /*$this->session->data['guest']['phone'];*/ '';
				} else {
				    $phone = $this->customer->getTelephone();
				} 

				if (isset($this->session->data['guest'])) 
 				{
				    $FaxNumber = /*$this->session->data['guest']['phone'];*/ '';
				} else {
				    $FaxNumber = $this->customer->getFax();
				} 

				if($admin_settings[0]['hideitemlist'] == 1)
				{
					$hideitemlist = true;
				}
				else
				{
					$hideitemlist = false;
				}

				if($admin_settings[0]['createtoken'] == 1)
				{
					$createtoken = true;
				}
				else
				{
					$createtoken = false;
				}
				$Customercomment = $this->session->data['comment'];

				if($admin_settings[0]['redirecturl'] == '')
				{
					if (isset($this->request->server['HTTPS']) && (($this->request->server['HTTPS'] == 'on') || ($this->request->server['HTTPS'] == '1'))) 
					{
					     $baseurl = $this->config->get('config_ssl');
					} 
					else
					{
					     $baseurl = $this->config->get('config_url');
					}
					$redirectURL = $baseurl.'index.php?route=extension/payment/icredit/success';
					//http://localhost/opencart/index.php?route=checkout/success
				}
				else
				{
					$redirectURL = $admin_settings[0]['redirecturl'];
				}

								
				//Customer Details
 				$data = array();
 				$data = array(
 					'GroupPrivateToken' => $token,
 					'RedirectURL'=>$redirectURL,
 					'IPNURL'=>$admin_settings[0]['ipn']?$admin_settings[0]['ipn']:$baseurl.'index.php?route=extension/payment/icredit/ipnurl',
 					'MaxPayments'=>intval($admin_settings[0]['maxpayment']),
 					'Order' => strval($this->session->data['order_id']),
 					'Custom1' => strval($this->session->data['order_id']),
		                        'CreditFromPayment'=>intval($admin_settings[0]['creditpayment']),
 					'CustomerLastName' => $this->session->data['payment_address']['lastname'],
 					'CustomerFirstName' => $this->session->data['payment_address']['firstname'],
 					'EmailAddress' => $customer_email,
 					'Address' => $this->session->data['payment_address']['address_1'],
 					'City' => $this->session->data['payment_address']['city'],
 					'Zipcode' => intval($this->session->data['payment_address']['postcode']),
 					'PhoneNumber' => $phone,
 					'FaxNumber' => $FaxNumber,
 					'Comments'=>$Customercomment,
 					'HideItemList'=>$hideitemlist,                //
 					'DocumentLanguage' => $invoiceLanguageVal,
 					'CreateToken'=>$createtoken,                  //
 					'ExemptVAT' => $exemptVatVal,
 					'Items' => $items,
 					'Discount' => $discount ,
                                  
 					);
	
		
 				$paymentUrl = $this->getPaymentUrl($url,$data);
                              


 				if(isset($paymentUrl))
 				{
                                    

 					//mark order status processing
 					$order_status_id = $this->config->get('icredit_processing_order_status_id');	
					$this->model_checkout_order->addOrderHistory($this->session->data['order_id'],$order_status_id);

	 				$window_type = $admin_settings[0]['windowtype'];
	 				$iframe_PopupHeight = $admin_settings[0]['height'];
	 				$iframe_PopupWidth = $admin_settings[0]['width'];

	 				if($window_type == 'redirect')
	 				{

					echo $value = '{"url":"'.$paymentUrl.'","window_type":"'.$window_type.'"}';

	 				}
	 				elseif($window_type == 'iframe')
	 				{
			      		echo $value = '{"url":"'.$paymentUrl.'","window_type":"'.$window_type.'","width":"'.$iframe_PopupWidth.'","height":"'.$iframe_PopupHeight.'"}';
	 				}
	 				else
	 				{
				         echo $value = '{"url":"'.$paymentUrl.'","window_type":"'.$window_type.'","width":"'.$iframe_PopupWidth.'","height":"'.$iframe_PopupHeight.'"}';
	 				}
                                        
   				
 				}
			}
		}
	}
        
	public function thankyou()
	{
           
		$url = $_REQUEST['data'];
		$width = $_REQUEST['width'];
		$height = $_REQUEST['height'];
		$method = $_REQUEST['method'];
		$data1['value'] = $url;
		$data1['width'] = $width;
		$data1['height'] = $height;
		$data1['method'] = $method;
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'extension/payment/thankyou.tpl'))
		 {
			 $this->response->setOutput($this->load->view($this->config->get('config_template') . 'extension/payment/thankyou.tpl',$data1));
		} 
		else
		 {
			  $this->response->setOutput($this->load->view('payment/thankyou.tpl',$data1));
		 }
	}

	public function ipnurl()
	{
          
	$raw_post_data = file_get_contents('php://input');
        $raw_post_array = explode('&', $raw_post_data);
        $IPNPost = array();
        foreach ($raw_post_array as $keyval){
        $keyval = explode ('=', $keyval);
	        if (count($keyval) == 2){
	            $IPNPost[$keyval[0]] = urldecode($keyval[1]);
	        }
    	}      
    	$sale_order_id = $IPNPost['Custom1'];

    	$orderId = $IPNPost['Order'];
        $data = $this->getData();			// array returning grouptoken and verify url on condition whether sandbox is enabled or not. 
        if(isset($data))
        {
        	$token = $data[1];             
        	$verify = $data[2];
        }
        $postData = array('GroupPrivateToken' => $token,
                         'SaleId'=> $IPNPost['SaleId'],
                         'TotalAmount'=> $IPNPost['TransactionAmount']
                        );

        $verifyUrl = $verify;
        $jsonData = json_encode($postData); 
			$curl = curl_init($verifyUrl);
			curl_setopt($curl, CURLOPT_HEADER, false);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curl, CURLOPT_HTTPHEADER,array("Content-type: application/json"));
			curl_setopt($curl, CURLOPT_POST, true);
			curl_setopt($curl, CURLOPT_POSTFIELDS, $jsonData);
			curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
			$result     = curl_exec($curl);
			$response   = json_decode($result);
			$Status = $response->Status;
			curl_close($curl);
			
			
			$this->load->model('checkout/order');
		if($Status == 'VERIFIED')
			{
				$order_status_id = $this->config->get('icredit_complete_order_status_id');				
				$success = $this->model_checkout_order->addOrderHistory($sale_order_id, $order_status_id);
			}
			else
			{
				$order_status_id = $this->config->get('icredit_pending_order_status_id');	
				$success = $this->model_checkout_order->addOrderHistory($sale_order_id, $order_status_id);
			}
	}

	public function success()
	{
              
		$this->load->model('extension/payment/icredit');
		$admin_settings = $this->model_extension_payment_icredit->geticreditsettings();   //$this->session->data		
		if($admin_settings[0]['windowtype'] == 'popup' || $admin_settings[0]['windowtype'] == 'iframe')
		{
			if ($admin_settings[0]['redirecturl'] == '') 
					{
						if (isset($this->request->server['HTTPS']) && (($this->request->server['HTTPS'] == 'on') || ($this->request->server['HTTPS'] == '1'))) 
						{
						     $baseurl = $this->config->get('config_ssl');
						} 
						else
						{
						     $baseurl = $this->config->get('config_url');
						}
						$redirct_url = $baseurl.'index.php?route=checkout/success';
						echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
									 <script type="text/javascript">
						    			$(document).ready(function(){
										
						     				window.top.location.href = "'.$redirct_url.'";
										
						      			});
						      		</script>';
					}
					else
					{
						$redirct_url = $admin_settings[0]['redirecturl'];
						echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
									 <script type="text/javascript">
						    			$(document).ready(function()
						    			{
						     				window.top.location.href = "'.$redirct_url.'";
						      			});
						      		</script>';	
					}
		}
		else
		{
					if ($admin_settings[0]['redirecturl'] == '') 
					{
						if (isset($this->request->server['HTTPS']) && (($this->request->server['HTTPS'] == 'on') || ($this->request->server['HTTPS'] == '1'))) 
						{
						     $baseurl = $this->config->get('config_ssl');
						} 
						else
						{
						     $baseurl = $this->config->get('config_url');
						}
						$redirct_url = $baseurl.'index.php?route=checkout/success';
						echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script> 
									 <script type="text/javascript">
						    			$(document).ready(function(){
										
						     				location.href = "'.$redirct_url.'";
										
						      			});
						      		</script>';
					}
					else
					{
						$redirct_url = $admin_settings[0]['redirecturl'];
						echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
									 <script type="text/javascript">
						    			$(document).ready(function(){
										
						     				location.href = "'.$redirct_url.'";
										
						      			});
						      		</script>';	
					}
		}
		return true;	
	}

	public function getPaymentUrl($url,$data = array())
	{
		
		$content = json_encode($data); 
		/*print_r($content);
		exit;*/
			$curl = curl_init($url);
			curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
			curl_setopt($curl, CURLOPT_POSTFIELDS, $content);
			curl_setopt($curl, CURLOPT_HEADER, 0);
			curl_setopt($curl, CURLOPT_TIMEOUT, 45);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curl, CURLOPT_POST, 1);
			curl_setopt($curl, CURLOPT_HTTPHEADER,array("Content-type: application/json"));			 
			$result     = curl_exec($curl);
			
			$response   = json_decode($result);
			$url_to_view = $response->URL;
			curl_close($curl);
		    return $url_to_view;
	}
}   