<?php
class ControllerExtensionPaymentIcredit extends Controller {

    private $error = array();

public function install()
{
    $this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "iCredit` (
       `id_icredit` int(1) NOT NULL AUTO_INCREMENT,
      `enabled` varchar(255),
      `PaymentMethodDescription` varchar(500) CHARACTER SET utf8,
      `title` varchar(255) CHARACTER SET utf8,
      `testmode` varchar(1),
      `testtoken` varchar(255),
      `grouptoken` varchar(500),
      `maxpayment` varchar(255),
      `creditpayment` varchar(500),
      `windowtype` varchar(255),
      `height` int(10),
      `width` int(10),
      `hideitemlist` varchar(1),
      `createtoken` varchar(1),
      `invoicelang` varchar(500),
      `exemptvat` varchar(255),
      `redirecturl` varchar(500),
      `ipn` varchar(500),
      `sortorder` varchar(500),
      `date_added` datetime,
      PRIMARY KEY (`id_icredit`)
    )");
}

public function uninstall()
{
    $this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "iCredit");
}

public function index() 
{   // Default function 
    
        
    $this->install();
    
    $this->load->language('extension/payment/icredit'); // Loading the language file of helloworld 
 
    $this->document->setTitle($this->language->get('heading_title')); // Set the title of the page to the heading title in the Language file i.e., Hello World
  
    $this->load->model('setting/setting');
    
    $this->load->model('extension/payment/icredit'); // Load the Setting Model  (All of the OpenCart Module & General Settings are saved using this Model )

    
    
    

//fwrite($file,$this->validate()." -- validate\r\n");    
//fwrite($file,print_r($_POST,TRUE)." -- post\r\n");
    if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) 
    { 

        if ($this->request->post['icredit_id'] == "")
         {

            $this->model_setting_setting->editSetting('icredit', $this->request->post);
            $check = $this->model_extension_payment_icredit->addicreditsettings($this->request->post);
         }
         else
         {

             $this->model_setting_setting->editSetting('icredit', $this->request->post);
             $check = $this->model_extension_payment_icredit->editicreditsettings($this->request->post);
         }
         $this->session->data['success'] = $this->language->get('text_success'); // To display the success text on data save=


         
         if($check == 1)
         {

           $this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL')); // Redirect to the Module Listing
         }

    }

    /*Assign the language data for parsing it to view*/
    $data['heading_title'] = $this->language->get('heading_title');
    $data['text_edit'] = $this->language->get('text_edit');
    $data['text_enabled'] = $this->language->get('text_enabled');
    $data['text_content_top'] = $this->language->get('text_content_top');
    $data['text_content_bottom'] = $this->language->get('text_content_bottom');      
    $data['text_column_left'] = $this->language->get('text_column_left');
    $data['text_column_right'] = $this->language->get('text_column_right');
    $data['text_enabled']   = $this->language->get('text_enabled');
    $data['text_paymentdescription']   = $this->language->get('text_paymentdescription');
    $data['text_title']   = $this->language->get('text_title');
    $data['text_testmode']   = $this->language->get('text_testmode');
    $data['text_testgrouptoken']   = $this->language->get('text_testgrouptoken');
    $data['text_prodgrouptoken']   = $this->language->get('text_prodgrouptoken');
    $data['text_maxpayment']   = $this->language->get('text_maxpayment');
    $data['text_creditpayment']   = $this->language->get('text_creditpayment');
    $data['text_windowselecttype'] =  $this->language->get('text_windowselecttype');
    $data['text_optionredirect']   = $this->language->get('text_optionredirect');
    $data['text_optionpopup']   = $this->language->get('text_optionpopup');
    $data['text_optioniframe']   = $this->language->get('text_optioniframe');
    $data['text_height']   = $this->language->get('text_height');
    $data['text_width']   = $this->language->get('text_width');
    $data['text_hideitemlist']   = $this->language->get('text_hideitemlist');
    $data['text_createtoken']   = $this->language->get('text_createtoken');
    $data['text_invoicelang']   = $this->language->get('text_invoicelang');
    $data['text_english']   = $this->language->get('text_english');
    $data['text_hebrew']   = $this->language->get('text_hebrew');
    $data['text_billing']   = $this->language->get('text_billing');
    $data['text_shipping']   = $this->language->get('text_shipping');
    $data['text_billingshipping']   = $this->language->get('text_billingshipping');
    $data['text_exemptvat']   = $this->language->get('text_exemptvat');
    $data['text_chargevat']   = $this->language->get('text_chargevat');
    $data['text_exempt']   = $this->language->get('text_exempt');
    $data['text_billing']   = $this->language->get('text_billing');
    $data['text_shipping']   = $this->language->get('text_shipping');
    $data['text_billingshipping']   = $this->language->get('text_billingshipping');
    $data['text_redirecturl']   = $this->language->get('text_redirecturl');
    $data['text_sortorder']   = $this->language->get('text_sortorder');
    $data['text_ipn']   = $this->language->get('text_ipn');
    $data['text_yes']   = $this->language->get('text_yes');
    $data['text_no']   = $this->language->get('text_no');

    $data['entry_code'] = $this->language->get('entry_code');
    $data['entry_layout'] = $this->language->get('entry_layout');
    $data['entry_position'] = $this->language->get('entry_position');
    $data['entry_status'] = $this->language->get('entry_status');
    $data['entry_sort_order'] = $this->language->get('entry_sort_order');
 
    $data['button_save'] = $this->language->get('button_save');
    $data['button_cancel'] = $this->language->get('button_cancel');
    $data['button_add_module'] = $this->language->get('button_add_module');
    $data['button_remove'] = $this->language->get('button_remove');
    $data['entry_order_status'] = $this->language->get('entry_order_status');
    $data['pending_order_status'] = $this->language->get('pending_order_status');
    $data['processing_order_status'] = $this->language->get('processing_order_status');
    
    $this->load->model('localisation/order_status');

    $data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();


 
    // return warning if any*/
    if (isset($this->error['warning'])) {
        $data['error_warning'] = $this->error['warning'];
    } else {
        $data['error_warning'] = '';
    }

    if (isset($this->error['description'])) {
        $data['description'] = $this->error['description'];
    } else {
        $data['description'] = '';
    }

    /* Making of Breadcrumbs to be displayed on site*/
    $data['breadcrumbs'] = array();
 
    $data['breadcrumbs'][] = array(
        'text'      => $this->language->get('text_home'),
        'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
        'separator' => false
    );
 
    $data['breadcrumbs'][] = array(
        'text'      => $this->language->get('text_module'),
        'href'      => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
        'separator' => ' :: '
    );
 
    $data['breadcrumbs'][] = array(
        'text'      => $this->language->get('heading_title'),
        'href'      => $this->url->link('extension/payment/icredit', 'token=' . $this->session->data['token'], 'SSL'),
        'separator' => ' :: '
    );
 
    /* End Breadcrumb Block*/
 
    $data['action'] = $this->url->link('extension/payment/icredit', 'token=' . $this->session->data['token'], 'SSL'); // URL to be directed when the save button is pressed
 
    $data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'); // URL to be redirected when cancel button is pressed
 
     
    /* This block checks, if the hello world text field is set it parses it to view otherwise get the default hello world text field from the database and parse it*/
 
    if (isset($this->request->post['PaymentMethodDescription'])) {
        $data['PaymentMethodDescription'] = $this->request->post['PaymentMethodDescription'];
    } else {
        $data['PaymentMethodDescription'] = $this->config->get('PaymentMethodDescription');
    }   

    if (isset($this->request->post['icredit_complete_order_status_id'])) {
      $data['icredit_complete_order_status_id'] = $this->request->post['icredit_complete_order_status_id'];
    } else {
      $data['icredit_complete_order_status_id'] = $this->config->get('icredit_complete_order_status_id');
    }

    if (isset($this->request->post['icredit_pending_order_status_id'])) {
      $data['icredit_pending_order_status_id'] = $this->request->post['icredit_pending_order_status_id'];
    } else {
      $data['icredit_pending_order_status_id'] = $this->config->get('icredit_pending_order_status_id');
    }

    if (isset($this->request->post['icredit_processing_order_status_id'])) {
      $data['icredit_processing_order_status_id'] = $this->request->post['icredit_processing_order_status_id'];
    } else {
      $data['icredit_processing_order_status_id'] = $this->config->get('icredit_processing_order_status_id');
    }
    
    /* End Block*/
 
    $data['modules'] = array();
 
    /* This block parses the Module Settings such as Layout, Position,Status & Order Status to the view*/
    if (isset($this->request->post['PaymentMethodDescription'])) {
        $data['modules'] = $this->request->post['PaymentMethodDescription'];
    } elseif ($this->config->get('PaymentMethodDescription')) { 
        $data['modules'] = $this->config->get('PaymentMethodDescription');
    }
    /* End Block*/         
 
    $this->load->model('design/layout'); // Loading the Design Layout Models
 
    $data['layouts'] = $this->model_design_layout->getLayouts(); // Getting all the Layouts available on system
    
     $data['header'] = $this->load->controller('common/header');
        $data['column_left'] = $this->load->controller('common/column_left');
        $data['footer'] = $this->load->controller('common/footer');

        $getsettings = $this->model_extension_payment_icredit->addGeticreditsettings();
        $data['editdata']=array();
        if(isset($getsettings))
        { 
            $data['editdata']['icredit_id'] = $getsettings['id_icredit']; 
            $data['editdata']['enabled'] = $getsettings['enabled'];
            $data['editdata']['PaymentMethodDescription'] = $getsettings['PaymentMethodDescription'];
            $data['editdata']['title'] = $getsettings['title'];
            $data['editdata']['testmode'] = $getsettings['testmode'];
            $data['editdata']['testtoken'] = $getsettings['testtoken'];
            $data['editdata']['grouptoken'] = $getsettings['grouptoken'];
            $data['editdata']['maxpayment'] = $getsettings['maxpayment'];
            $data['editdata']['creditpayment'] = $getsettings['creditpayment'];
            $data['editdata']['windowtype'] = $getsettings['windowtype'];
            $data['editdata']['height'] = $getsettings['height'];
            $data['editdata']['width'] = $getsettings['width'];
            $data['editdata']['hideitemlist'] = $getsettings['hideitemlist'];
            $data['editdata']['createtoken'] = $getsettings['createtoken'];
            $data['editdata']['invoicelang'] = $getsettings['invoicelang'];
            $data['editdata']['exemptvat'] = $getsettings['exemptvat'];
            $data['editdata']['redirecturl'] = $getsettings['redirecturl'];
            $data['editdata']['ipn'] = $getsettings['ipn'];
            $data['editdata']['sortorder'] = $getsettings['sortorder'];
       }

       $data['editdata'] = $data['editdata'];
       $this->response->setoutput($this->load->view('extension/payment/icredit.tpl', $data));
  }

protected function validate() {
 
        /* Block to check the user permission to manipulate the module*/
        if (!$this->user->hasPermission('modify', 'extension/payment/icredit')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }
        /* End Block*/
 
        /* Block to check if the helloworld_text_field is properly set to save into database, otherwise the error is returned*/
	/*
        if (!$this->request->post['PaymentMethodDescription']) {
            $this->error['description'] = $this->language->get('error_description');
        }
	*/
        /* End Block*/

        /* if (!$this->request->post['redirecturl']) {
            $this->error['redirecturl'] = $this->language->get('error_redirecturl');
        }*/
        
 
        return !$this->error;
    }
    /* End Validation Function*/
}
?>